#!/usr/bin/env python3

import sys
import re
from astropy.time import Time 

def apc(filename, dataset):
  datasetstr = filename

  f = open(filename)
  print("# JD(TDB,nolite) & V [mag] & sigma [mag] & dataset & note")

  f2 = open("jpl.tmp", "w")

  i=0
  for line in f.readlines():
    l = line.split()
    if re.match(r"ZERO TIME.*", line):
      zero_time = float(l[2])
    if re.match(r"ZERO MAG.*", line):
      zero_mag = float(l[2])
    if re.match(r"======.*", line):
      i=0
    if re.match("DATA:.*", line):
      i=1
      continue
    if i==0:
      continue

    jd = float(l[0])/24.0 + zero_time
    mag = float(l[1]) + zero_mag
    sigma = 0.01

    t1 = Time(jd, scale='utc', format='jd')
    t2 = t1.tdb

    print("%.8f  %.6f  %.6f  %d  %s" % (t2.jd, mag, sigma, dataset, datasetstr))
    f2.write("'%.8f'\n" % (t1.jd))
    
  f.close()
  f2.close()

def main():
  j = 0
  for filename in sys.argv[1:]:
    j += 1
    apc(filename, j)

if __name__ == "__main__":
  main()

